components/privoxy/files/http-privoxy
changeset 407 371955ee7fe6
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/components/privoxy/files/http-privoxy	Fri Jul 15 10:47:35 2011 -0700
@@ -0,0 +1,52 @@
+#!/usr/bin/ksh93
+
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+source /lib/svc/share/smf_include.sh
+
+typeset -r PRIVOXY_PRG=privoxy
+typeset -r PRIVOXY=/usr/lib/privoxy
+typeset -r PIDFILE=/var/log/privoxy/privoxy.pid
+typeset -r CONF_FILE=/etc/privoxy/config
+typeset -r PRIVOXY_USER=webservd
+typeset -r PRIVOXY_GROUP=webservd
+
+[[ ! -f ${CONF_FILE} ]] && exit $SMF_EXIT_ERR_CONFIG
+
+case "$1" in
+start)
+        /bin/rm -f ${PIDFILE}
+        exec ${PRIVOXY} --pidfile "${PIDFILE}" \
+            --user "${PRIVOXY_USER}.${PRIVOXY_GROUP}" "$CONF_FILE" 2>&1
+        ;;
+*)
+        print "Invalid method $1"
+        exit 1
+        ;;
+esac
+
+# not reached